Subject: [OAUTH-WG] New OAuth 2.0 Javascript library

From: Andreas Åkre Solberg <[email-masked]>
Date: Thu, 8 Mar 2012 16:01:55 +0100

In case anyone find it useful, here is a new OAuth 2.0 javascript library.

	https://github.com/andreassolberg/jso

It would be useful for me if people tested it and reported any problems. I have limited access to alternative OAuth 2.0 provider implementations, so I've only tested a few of the commercial ones so far.

You can argue that a javascript OAuth library has limited value, given that you can eigther communicate with your own server (in which you share cookies with anyway) or you have to do ugly things like JSONP. Some situations where I think such a library might be useful anyway:
* given an API with CORS support.
* in native web apps running in example phone gap, running in file:// context and are thereby not limited by same-origin. 
* in situations where you bypass the token to your own proxying webserver, but would like to setup the tokens etc using javascript for more control of the user interface.

Feedback is welcome.

Andreas Åkre Solberg, UNINETT AS
http://rnd.feide.no